## DMS Get IDs request DMS Get IDs request |

## Functions

QmiMessageDmsGetIdsOutput * | qmi_message_dms_get_ids_output_ref ()
void | qmi_message_dms_get_ids_output_unref ()
gboolean | qmi_message_dms_get_ids_output_get_result ()
gboolean | qmi_message_dms_get_ids_output_get_esn ()
gboolean | qmi_message_dms_get_ids_output_get_imei ()
gboolean | qmi_message_dms_get_ids_output_get_meid ()
gboolean | qmi_message_dms_get_ids_output_get_imei_software_version ()
void | qmi_client_dms_get_ids ()
QmiMessageDmsGetIdsOutput * | qmi_client_dms_get_ids_finish ()

## Types and Values

| QmiMessageDmsGetIdsOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsGetIdsOutput

## Description

## Functions

### qmi_message_dms_get_ids_output_ref ()

    QmiMessageDmsGetIdsOutput *
    qmi_message_dms_get_ids_output_ref (QmiMessageDmsGetIdsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetIdsOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_get_ids_output_unref ()

    void
    qmi_message_dms_get_ids_output_unref (QmiMessageDmsGetIdsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetIdsOutput. |

Since: 1.0

### qmi_message_dms_get_ids_output_get_result ()

    gboolean
    qmi_message_dms_get_ids_output_get_result
                                   (QmiMessageDmsGetIdsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetIdsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_dms_get_ids_output_get_esn ()

    gboolean
    qmi_message_dms_get_ids_output_get_esn
                                   (QmiMessageDmsGetIdsOutput *self,
                                    const gchar **value_esn,
                                    GError **error);

Get the 'Esn' field from `self` .

#### Parameters

self | a QmiMessageDmsGetIdsOutput. |
value_esn | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_get_ids_output_get_imei ()

    gboolean
    qmi_message_dms_get_ids_output_get_imei
                                   (QmiMessageDmsGetIdsOutput *self,
                                    const gchar **value_imei,
                                    GError **error);

Get the 'Imei' field from `self` .

#### Parameters

self | a QmiMessageDmsGetIdsOutput. |
value_imei | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_get_ids_output_get_meid ()

    gboolean
    qmi_message_dms_get_ids_output_get_meid
                                   (QmiMessageDmsGetIdsOutput *self,
                                    const gchar **value_meid,
                                    GError **error);

Get the 'Meid' field from `self` .

#### Parameters

self | a QmiMessageDmsGetIdsOutput. |
value_meid | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_get_ids_output_get_imei_software_version ()

    gboolean
    qmi_message_dms_get_ids_output_get_imei_software_version
                                   (QmiMessageDmsGetIdsOutput *self,
                                    const gchar **value_imei_software_version,
                                    GError **error);

Get the 'Imei Software Version' field from `self` .

#### Parameters

self | a QmiMessageDmsGetIdsOutput. |
value_imei_software_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_dms_get_ids ()

    void
    qmi_client_dms_get_ids (QmiClientDms *self,
                            gpointer unused,
                            guint timeout,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

Asynchronously sends a Get IDs request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_ids_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_get_ids_finish ()

    QmiMessageDmsGetIdsOutput *
    qmi_client_dms_get_ids_finish (QmiClientDms *self,
                                   GAsyncResult *res,
                                   GError **error);

Finishes an async operation started with `qmi_client_dms_get_ids()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_ids()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetIdsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_ids_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsGetIdsOutput

    typedef struct _QmiMessageDmsGetIdsOutput QmiMessageDmsGetIdsOutput;

The QmiMessageDmsGetIdsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0